> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/diagnostics/traffic/:uid

> Returns traffic data, including analytics metrics if an analytics integration has been connected



## OpenAPI

````yaml /openapi.json get /v1/report/insight/diagnostics/traffic/{uid}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/diagnostics/traffic/{uid}:
    get:
      tags:
        - Reporting/Insights Hub/Diagnostics
        - public
      summary: /report/insight/diagnostics/traffic/:uid
      description: >-
        Returns traffic data, including analytics metrics if an analytics
        integration has been connected
      parameters:
        - name: uid
          in: path
          description: ''
          required: true
          example: 0
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: date_group
          in: query
          description: Date grouping when range=custom
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
            default: day
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      dates:
                        type: array
                        items:
                          type: string
                      page_impression:
                        type: array
                        items:
                          type: integer
                      page_views:
                        type: array
                        items:
                          type: integer
                      revenue:
                        type: array
                        items:
                          type: number
                      analytics_connected:
                        type: boolean
                      currency:
                        type: string
                    required:
                      - dates
                      - page_impression
                      - page_views
                      - revenue
                      - analytics_connected
                      - currency
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  dates:
                    - '2025-11-17'
                    - '2025-11-18'
                    - '2025-11-19'
                    - '2025-11-20'
                    - '2025-11-21'
                    - '2025-11-22'
                    - '2025-11-23'
                  page_impression:
                    - 274979
                    - 240515
                    - 215180
                    - 213560
                    - 232564
                    - 206028
                    - 172336
                  page_views:
                    - 205013
                    - 184535
                    - 164184
                    - 161322
                    - 179642
                    - 149858
                    - 120586
                  revenue:
                    - 6327.34
                    - 6398.41
                    - 6120.5
                    - 5548.25
                    - 5285.43
                    - 4586.71
                    - 3946.68
                  analytics_connected: true
                  currency: GBP
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````